<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Filehandling: file read</title>
</head>
<body>
    
<?php

    $file = "person.csv";
    if(!file_exists($file)){
        die("File $file doesn't exist or not found!");
        // Beende das Skript
    }

    $fp = @fopen($file, 'r'); // Datei zum lesen öffnen, @ macht das der system error in system_error_1.txt
    if(!$fp){
        die("Error while opening file!");
    }

    // Kopfzeile auslesen und in Array umwandeln (1x -> Pointer geht auf Zeile 2)
    $header_array = fgetcsv($fp);
    /* Umständlich
    $header = fgetcsv($fp);
    $header_array = explode(",", $header);
    */

    $yo = print_r($header_array);
    echo "<pre> $yo </pre>";
    
    // Äußere Schleife: Zeile auslesen
    while(!feof($fp)){ // solange nicht das Ende der Datei erreicht ist
        $row_array = fgetcsv($fp);   
        /* $yo2 = print_r($header_array);
        echo "<pre> $yo2 </pre>";*/

        // Inner Schleife: Spalten ausgeben
        for ($i = 0; $i < count($row_array); $i++){
            echo "$header_array[$i]: $row_array[$i]<br>";
        }
        echo "<p> -------------------------------- </p>";
    }
?>

</body>
</html>